package com.gic.haoban.manage.service.entity;

import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

public class TabHaobanStaff implements Serializable {

    private static final long serialVersionUID = 1L;

    private String staffId;

    private String wxUserId;

    private String phoneNumber;

    private String staffName;

    private String nationCode;

    private String nickName;

    private Integer sex;
    
    private String wxEnterpriseId;

    private String postion;

    private Integer activeFlag;

    private String extendPostion;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;
    
    private String headImg;
    
    private Integer sort;
    
    private Integer syncPostionFlag;
    
    private Integer superManagerFlag;

    private String wxOpenUseId;

    private String wxOpenId;
    private String qrCode;
    private Integer addNum;

    @Transient
    private String departmentIds;
    private int openConcatFlag ;

    private Date activeTime;
    private Date expireTime;
    private String activeCode;

    public Date getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getActiveCode() {
        return activeCode;
    }

    public void setActiveCode(String activeCode) {
        this.activeCode = activeCode;
    }

    public int getOpenConcatFlag() {
        return openConcatFlag;
    }

    public void setOpenConcatFlag(int openConcatFlag) {
        this.openConcatFlag = openConcatFlag;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId == null ? null : wxUserId.trim();
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName == null ? null : staffName.trim();
    }

    public String getNationCode() {
        return nationCode;
    }

    public void setNationCode(String nationCode) {
        this.nationCode = nationCode == null ? null : nationCode.trim();
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName == null ? null : nickName.trim();
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getPostion() {
        return postion;
    }

    public void setPostion(String postion) {
        this.postion = postion == null ? null : postion.trim();
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getExtendPostion() {
        return extendPostion;
    }

    public void setExtendPostion(String extendPostion) {
        this.extendPostion = extendPostion == null ? null : extendPostion.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
    }

    public Integer getSyncPostionFlag() {
        return syncPostionFlag;
    }

    public void setSyncPostionFlag(Integer syncPostionFlag) {
        this.syncPostionFlag = syncPostionFlag;
    }

    public Integer getSuperManagerFlag() {
        return superManagerFlag;
    }

    public void setSuperManagerFlag(Integer superManagerFlag) {
        this.superManagerFlag = superManagerFlag;
    }

    public String getWxOpenUseId() {
        return wxOpenUseId;
    }

    public void setWxOpenUseId(String wxOpenUseId) {
        this.wxOpenUseId = wxOpenUseId;
    }

    public String getWxOpenId() {
        return wxOpenId;
    }

    public void setWxOpenId(String wxOpenId) {
        this.wxOpenId = wxOpenId;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getDepartmentIds() {
        return departmentIds;
    }

    public void setDepartmentIds(String departmentIds) {
        this.departmentIds = departmentIds;
    }

    public Integer getAddNum() {
        return addNum;
    }

    public void setAddNum(Integer addNum) {
        this.addNum = addNum;
    }

}